Redmine - Defect #36452

Infinite loop on PDF export if image included with attributes
2022-01-19 16:03 - Alexander Meind|

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 4.2.10

Resolution: Fixed Affected version: 423
Description

If an image is included in an issue (or wiki page) and attributes are used for height and width, this causes an infinite loop on PDF
export.

Here is an example:
!'{height: 501px; width: 916px;}20220110-091538-244.png!

This looks like this is a bug in rbpdf, which can be related with https://github.com/naitoh/rbpdf/issues/62

Tested with:

¢ Redmine 4.2.3 and Redmine trunk
e Ruby 2.7.5

Related issues:
Related to Redmine - Patch #38272: Update RBPDF to 1.21 Closed

History

#1 - 2022-01-19 16:05 - Alexander Meindl

The image does not even exist, just this line above is enough to run in an infinite loop on PDF export. No plugins are installed with my tests.

#2 - 2022-01-20 01:26 - Go MAEDA

- Status changed from New to Confirmed

#3 - 2023-02-13 15:43 - Go MAEDA
- Related to Patch #38272: Update RBPDF to 1.21 added

#4 - 2023-02-13 15:48 - Jun NAITOH
| fixed it with rbpdf 1.21.0.
The fixed issues is as follows.

e https://github.com/naitoh/rbpdf/pull/68
¢ https://github.com/naitoh/rbpdf/pull/74

#5 - 2023-02-14 10:52 - Go MAEDA

- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Target version set to 4.2.10

- Resolution set to Fixed

Jun NAITOH wrote:

| fixed it with rbpdf 1.21.0.

The fixed issues is as follows.
https://github.com/naitoh/rbpdf
https://github.com/naitoh/rbpdf/issues/62
https://github.com/naitoh/rbpdf/pull/68
https://github.com/naitoh/rbpdf/pull/74

e https:/github.com/naitoh/rbpdf/pull/68
e https://github.com/naitoh/rbpdf/pull/74

Thank you for maintaining RBPDF!

Since RBPDF has been updated in r22102, r22103, and r22104, the issue will be fixed in Redmine 4.2.10 and 5.0.5.

2025-08-23 22


https://github.com/naitoh/rbpdf/pull/68
https://github.com/naitoh/rbpdf/pull/74
https://www.redmine.org/projects/redmine/repository/svn/revisions/22102
https://www.redmine.org/projects/redmine/repository/svn/revisions/22103
https://www.redmine.org/projects/redmine/repository/svn/revisions/22104
http://www.tcpdf.org

